### Functions

## Copies PDF profiles to other server profiles.

    copyPdfProfiles(array $pdfProfiles, String $scope, array $dests) : boolean

### Parameters

#### $pdfProfiles

`array`

PDF profile names

#### $scope

`String`

account scope

#### $dests

`array`

destinations

### Returns

`boolean`operation succeeded

## This function creates the PDF output of one or more accounts.

    createModulePDF(array $accounts, string $pdf_structure, \$returnAsString $returnAsString) : String

### Parameters

#### $accounts

`array`

A numbered array containing all accounts the PDF page should be created for. The entries of the array must be AccountContainer objects.

#### $pdf_structure

`string`

The filename of the structure definition that should be used to create the PDF page. If not submitted the 'default.user' structure definition for the appropriate account type.

#### $returnAsString

`\$returnAsString`

returns the PDF output as String value instead of writing it to a file

### Returns

`String`PDF file name

## Deletes XML file with PDF structure definitions.

    deletePDFStructureDefinition(string $scope, string $definition) : boolean

### Parameters

#### $scope

`string`

account type

#### $definition

`string`

Name of definition to delete

### Returns

`boolean`True if file was deleted or false if a problem occured.

## This function returns an array with all aviliable logo images.

    getAvailableLogos() : array

### Returns

`array`list of logo files

## This function will return all available PDF structure definitions for the submitted account scope.

    getPDFStructureDefinitions(string $scope, string $profile) : array

### Parameters

#### $scope

`string`

The account scope the PDF structure definitions should be returned.

#### $profile

`string`

server profile name

### Returns

`array`$scope All available PDF structure definitions for the submitted account scope. Each entry is a string being the filename that may be passed to the createModulePDF() function as second argument.

## Creates a section headline.

    getSectionHeadline(string $line) : string

### Parameters

#### $line

`string`

section name

### Returns

`string`XML code for headline

## This function is used to get pdf structure from xml file.

    loadPDFStructureDefinitions(string $scope, string $pdf_structure) : array

Used in createModulePDF.

### Parameters

#### $scope

`string`

The account scope for wich the PDF structure should be returned.

#### $pdf_structure

`string`

Structure name of selected scope wich should be returned.

### Returns

`array`PDF structure

## Processes width, height and alignment attributes.

    processAttributes(string $attrs, array $return) : array

### Parameters

#### $attrs

`string`

attributes

#### $return

`array`

XML code

### Returns

`array`XML code

## Formats the XML code.

    processFormatTags(string $line, string $style) : array

### Parameters

#### $line

`string`

XML code of PDF entry

#### $style

`string`

style commands

### Returns

`array`XML code

## Creates the XML code for an PDF entry.

    processLine(string $line, boolean $first_td, String $fontName) : array

### Parameters

#### $line

`string`

XML code of PDF entry

#### $first_td

`boolean`

True if this is the first column

#### $fontName

`String`

font name

### Returns

`array`XML codes

## Saves PDF structure definitions to XML file in format: <name>.<scope>.xml

    savePDFStructureDefinitions(string $scope, string $definition) : string

### Parameters

#### $scope

`string`

account type

#### $definition

`string`

Name of definition

### Returns

`string`"no perms" if access denied or "ok".

## Translates a given field ID (e.g.

    translateFieldIDToName(String $id, String $scope)

inetOrgPerson_givenName) to its descriptive name.

### Parameters

#### $id

`String`

field ID

#### $scope

`String`

account type

### Classes and interfaces

# UFPDF¶

Main UFPDF class for creating Unicode PDF documents

« More »

# lamPDF¶

Creates a LAM information page in PDF format.

« More »

# xmlParser¶

Simple XML parser.

« More »

### Constants

## FPDF_FONTPATH

    FPDF_FONTPATH

## PDF line width

    LAMPDF_LINEWIDTH

## UFPDF_VERSION

    UFPDF_VERSION